Subject: Re: bug#13167: 24.3.50; C-x right C-x left interferes with buffer order

From: Juri Linkov <[email-masked]>
Date: Sat, 15 Dec 2012 12:49:36 +0200

>>> Why do you never quit the *Messages* buffer in your scenario?
>>
>> I can't quit the *Messages* buffer.  Typing `q' inserts the character
>> `q' to the *Messages* buffer.  But it's good that *Messages* is writable.
>> The same problem can occur with any other writable buffer.
>
> You can always do M-x quit-window.  Isn't there some C-x binding we
> could use for this?

A good C-x binding for quit-window is `C-x q'.  Its current command
does nothing normally and already has an alternative keybinding
`C-x C-k q' while recording a macro.

> this loop finds a buffer to switch to, it retrieves the start and point
> positions from the buffer's association in the window's _previous_
> buffers.  I didn't want to maintain the same markers twice.

To not maintain the same markers twice, `C-x left' could add the
current buffer with markers only once to the list of next buffers,
but not to the list of previous buffers.  Do I miss something
why this won't work?